
#define NR_WISH		3
#define NR_REJECT	12
#define NR_STUDENTS	5	/* Nr. of students per group */

typedef struct form	form_t;
struct form {
	int wish [NR_WISH];
	int reject [NR_REJECT];
	int nr_students;
	/* data about students (name, register number, study number) */
	char *studinfo[NR_STUDENTS];

	/* each group is organized as a doubly linked list */
	form_t	*next;
	form_t	*prev;
	int	cur_group;
	/* The following is used as a hint for selecting forms to move */
	int	cur_probab;
};
